### Hierarchy

- HeadingStyle
  - Heading5Style

## Index

### Constructors

- constructor

### Accessors

- IsDeleted

### Methods

- addChildElement
- addParagraphProperty
- addRunProperty
- allCaps
- basedOn
- bold
- center
- characterSpacing
- color
- delete
- doubleStrike
- font
- indent
- italics
- justified
- keepLines
- keepNext
- left
- leftTabStop
- link
- maxRightTabStop
- next
- prepForXml
- push
- quickFormat
- right
- semiHidden
- size
- smallCaps
- spacing
- strike
- subScript
- superScript
- thematicBreak
- uiPriority
- underline
- unhideWhenUsed

## Constructors

### constructor

- new Heading5Style(): Heading5Style

- Overrides HeadingStyle.constructor

  - Defined in file/styles/style/default-styles.ts:43

  #### Returns Heading5Style

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:14

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addParagraphProperty

- addParagraphProperty(property: XmlComponent): ParagraphStyle

- Inherited from ParagraphStyle.addParagraphProperty

  - Defined in file/styles/style/paragraph-style.ts:32

  #### Parameters

  - ##### property: XmlComponent

  #### Returns ParagraphStyle

### addRunProperty

- addRunProperty(property: XmlComponent): ParagraphStyle

- Inherited from ParagraphStyle.addRunProperty

  - Defined in file/styles/style/paragraph-style.ts:37

  #### Parameters

  - ##### property: XmlComponent

  #### Returns ParagraphStyle

### allCaps

- allCaps(): ParagraphStyle

- Inherited from ParagraphStyle.allCaps

  - Defined in file/styles/style/paragraph-style.ts:75

  #### Returns ParagraphStyle

### basedOn

- basedOn(parentId: string): ParagraphStyle

- Inherited from ParagraphStyle.basedOn

  - Defined in file/styles/style/paragraph-style.ts:42

  #### Parameters

  - ##### parentId: string

  #### Returns ParagraphStyle

### bold

- bold(): ParagraphStyle

- Inherited from ParagraphStyle.bold

  - Defined in file/styles/style/paragraph-style.ts:63

  #### Returns ParagraphStyle

### center

- center(): ParagraphStyle

- Inherited from ParagraphStyle.center

  - Defined in file/styles/style/paragraph-style.ts:113

  #### Returns ParagraphStyle

### characterSpacing

- characterSpacing(value: number): ParagraphStyle

- Inherited from ParagraphStyle.characterSpacing

  - Defined in file/styles/style/paragraph-style.ts:107

  #### Parameters

  - ##### value: number

  #### Returns ParagraphStyle

### color

- color(color: string): ParagraphStyle

- Inherited from ParagraphStyle.color

  - Defined in file/styles/style/paragraph-style.ts:99

  #### Parameters

  - ##### color: string

  #### Returns ParagraphStyle

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### doubleStrike

- doubleStrike(): ParagraphStyle

- Inherited from ParagraphStyle.doubleStrike

  - Defined in file/styles/style/paragraph-style.ts:83

  #### Returns ParagraphStyle

### font

- font(fontName: string): ParagraphStyle

- Inherited from ParagraphStyle.font

  - Defined in file/styles/style/paragraph-style.ts:103

  #### Parameters

  - ##### fontName: string

  #### Returns ParagraphStyle

### indent

- indent(attrs: object): ParagraphStyle

- Inherited from ParagraphStyle.indent

  - Defined in file/styles/style/paragraph-style.ts:141

  #### Parameters

  - ##### attrs: object

  #### Returns ParagraphStyle

### italics

- italics(): ParagraphStyle

- Inherited from ParagraphStyle.italics

  - Defined in file/styles/style/paragraph-style.ts:67

  #### Returns ParagraphStyle

### justified

- justified(): ParagraphStyle

- Inherited from ParagraphStyle.justified

  - Defined in file/styles/style/paragraph-style.ts:125

  #### Returns ParagraphStyle

### keepLines

- keepLines(): ParagraphStyle

- Inherited from ParagraphStyle.keepLines

  - Defined in file/styles/style/paragraph-style.ts:153

  #### Returns ParagraphStyle

### keepNext

- keepNext(): ParagraphStyle

- Inherited from ParagraphStyle.keepNext

  - Defined in file/styles/style/paragraph-style.ts:149

  #### Returns ParagraphStyle

### left

- left(): ParagraphStyle

- Inherited from ParagraphStyle.left

  - Defined in file/styles/style/paragraph-style.ts:117

  #### Returns ParagraphStyle

### leftTabStop

- leftTabStop(position: number): ParagraphStyle

- Inherited from ParagraphStyle.leftTabStop

  - Defined in file/styles/style/paragraph-style.ts:137

  #### Parameters

  - ##### position: number

  #### Returns ParagraphStyle

### link

- link(link: string): ParagraphStyle

- Inherited from ParagraphStyle.link

  - Defined in file/styles/style/paragraph-style.ts:159

  #### Parameters

  - ##### link: string

  #### Returns ParagraphStyle

### maxRightTabStop

- maxRightTabStop(): ParagraphStyle

- Inherited from ParagraphStyle.maxRightTabStop

  - Defined in file/styles/style/paragraph-style.ts:133

  #### Returns ParagraphStyle

### next

- next(nextId: string): ParagraphStyle

- Inherited from ParagraphStyle.next

  - Defined in file/styles/style/paragraph-style.ts:52

  #### Parameters

  - ##### nextId: string

  #### Returns ParagraphStyle

### prepForXml

- prepForXml(): IXmlableObject | undefined

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:14

  #### Returns IXmlableObject | undefined

### push

- push(styleSegment: XmlComponent): void

- Inherited from Style.push

  - Defined in file/styles/style/style.ts:29

  #### Parameters

  - ##### styleSegment: XmlComponent

  #### Returns void

### quickFormat

- quickFormat(): ParagraphStyle

- Inherited from ParagraphStyle.quickFormat

  - Defined in file/styles/style/paragraph-style.ts:47

  #### Returns ParagraphStyle

### right

- right(): ParagraphStyle

- Inherited from ParagraphStyle.right

  - Defined in file/styles/style/paragraph-style.ts:121

  #### Returns ParagraphStyle

### semiHidden

- semiHidden(): ParagraphStyle

- Inherited from ParagraphStyle.semiHidden

  - Defined in file/styles/style/paragraph-style.ts:164

  #### Returns ParagraphStyle

### size

- size(twips: number): ParagraphStyle

- Inherited from ParagraphStyle.size

  - Defined in file/styles/style/paragraph-style.ts:59

  #### Parameters

  - ##### twips: number

  #### Returns ParagraphStyle

### smallCaps

- smallCaps(): ParagraphStyle

- Inherited from ParagraphStyle.smallCaps

  - Defined in file/styles/style/paragraph-style.ts:71

  #### Returns ParagraphStyle

### spacing

- spacing(params: ISpacingProperties): ParagraphStyle

- Inherited from ParagraphStyle.spacing

  - Defined in file/styles/style/paragraph-style.ts:145

  #### Parameters

  - ##### params: ISpacingProperties

  #### Returns ParagraphStyle

### strike

- strike(): ParagraphStyle

- Inherited from ParagraphStyle.strike

  - Defined in file/styles/style/paragraph-style.ts:79

  #### Returns ParagraphStyle

### subScript

- subScript(): ParagraphStyle

- Inherited from ParagraphStyle.subScript

  - Defined in file/styles/style/paragraph-style.ts:87

  #### Returns ParagraphStyle

### superScript

- superScript(): ParagraphStyle

- Inherited from ParagraphStyle.superScript

  - Defined in file/styles/style/paragraph-style.ts:91

  #### Returns ParagraphStyle

### thematicBreak

- thematicBreak(): ParagraphStyle

- Inherited from ParagraphStyle.thematicBreak

  - Defined in file/styles/style/paragraph-style.ts:129

  #### Returns ParagraphStyle

### uiPriority

- uiPriority(priority: string): ParagraphStyle

- Inherited from ParagraphStyle.uiPriority

  - Defined in file/styles/style/paragraph-style.ts:169

  #### Parameters

  - ##### priority: string

  #### Returns ParagraphStyle

### underline

- underline(underlineType?: undefined | string, color?: undefined | string): ParagraphStyle

- Inherited from ParagraphStyle.underline

  - Defined in file/styles/style/paragraph-style.ts:95

  #### Parameters

  - ##### Optional underlineType: undefined | string

  - ##### Optional color: undefined | string

  #### Returns ParagraphStyle

### unhideWhenUsed

- unhideWhenUsed(): ParagraphStyle

- Inherited from ParagraphStyle.unhideWhenUsed

  - Defined in file/styles/style/paragraph-style.ts:174

  #### Returns ParagraphStyle

Generated using TypeDoc